QUICK NEWS

{NEW} - A new tutorial for Github is ready for your veiwing in the articles section.

{OLD} -New boards have been introduced. Stop on in and check it out.

Video of the week


Internal Links

SMF Sites

Quick Info

Ambassador 2.1 For RC2 Is Here!

Started by Skhilled, Aug 03, 2019, 10:01 AM

Previous topic - Next topic

0 Members and 1 Guest are viewing this topic.

Skhilled

You can download it in the link below:

https://www.jpr62.com/theme/index.php?topic=2329.0

You can also see how it looks using the 2.1 demo site. If it does not show automatically for you just use the "Theme Select" block at the top left and change it to the theme of your choice:

https://www.jpr62.com/demos21/index.php?theme=3

Have fun!  :D

Bigguy

That looks awesome. Nicely done for sure. Good work. :rgton

Skhilled


lurkalot

Steve, how old is your version of 2.1RC2 The one you're modding those themes on?

Reason I ask is, this error pointed out here, https://www.simplemachines.org/community/index.php?topic=568824.msg4026157#msg4026157

Fatal error: Uncaught Error: Call to undefined function template_quickbuttons()
Is the exact same error I get when I run a RC1 theme on RC2. This only started happening after I updated to a more current nightly build a few days ago, so it looks like your themes will need those updates applying to them. 

Skhilled

Aug 04, 2019, 08:20 AM #4 Last Edit: Aug 04, 2019, 09:30 AM by Skhilled
May 5th is when I installed the forum that I use for testing. I do have another that was installed on June 23 but can't remember what the version was. Please login there and see the new posts and see if it does it to you. I sent you an email with login details.

EDIT: One question...should I use the upgrade or a fresh install for nightly builds?

lurkalot

Quote from: Skhilled on Aug 04, 2019, 08:20 AMEDIT: One question...should I use the upgrade or a fresh install for nightly builds?

I've just been using the upgrade for my live test site.  But when creating a new local I just use the fresh install. 

I'll check your site out.  ;)

lurkalot

The site you linked me to doesn't appear to have the problem. You can normally see it below a post.  Example.

Visit this url to set one of my RC1 themes. https://cctestsite.info/testsite3/index.php?theme=3

Then visit this post, https://cctestsite.info/testsite3/index.php?topic=17.0

The next one is my Tenebrous theme I updated from RC1 to RC2 just this morning,

Visit to set RC2 theme https://cctestsite.info/testsite3/index.php?theme=8

Then visit this post again,  You'll see error has gone. https://cctestsite.info/testsite3/index.php?topic=17.0

Skhilled

Did you change the theme-info.xml file so it works with RC2 for those themes?

I'm just wondering how the nightly's will affect my themes. :P But I'll upgrade and see what happens. I normally don't do the nightly's cause of the extra work. I spend a lot of time trying to upgrade the theme while learning how to code them at the same time.

lurkalot

Quote from: Skhilled on Aug 04, 2019, 03:39 PMDid you change the theme-info.xml file so it works with RC2 for those themes?

I'm just wondering how the nightly's will affect my themes. :P But I'll upgrade and see what happens. I normally don't do the nightly's cause of the extra work. I spend a lot of time trying to upgrade the theme while learning how to code them at the same time.

Steve. The only one of those themes that's up to date with RC2 is the Tenebrous theme, the dark one.  The other two are RC1 themes which throw that error.

As my themes are only css edits nothing else, I just created a new theme in the 2.1RC2 admin panel, and then copied my RC1 colour edits over to the new index.css file.  Actually, I noticed quite a few changes in the index.css file in RC2 compared to RC1. So I should imagine several of the theme files will have changes.   

Skhilled

Aug 05, 2019, 09:03 AM #9 Last Edit: Aug 05, 2019, 09:06 AM by Skhilled
Hmmm, I did basically the same but may have copied over something from RC1 that I should not have. Otherwise, I basically, copied over the colors, etc. I've even got rid of a lot of the images that use gradients in the themes and used something like this for most of the catbg's, titlebg's, etc.:

background: linear-gradient(to bottom, #780004 0%, #5b090c 95%);
The 2 theme are coded for RC2 only so it may be possible that I've added RC1 code my mistake. I may have to start over with that one. However, I do have a 2nd one that looks more like the default RC2 than the old style but is the same theme. The one that threw the error was the old style. I'll need to post the new one after I make sure it's finished and see if that does the same. I've been busy helping someone upgrade their SMF 1.1.13 forum and trying to update their old theme for them and had forgot I have another version on CleanWhite.

lurkalot

Steve, when ever I try to do any edits to themes or mods it all starts off nicely, then I tend to make copies of stuff when I get to a certain point just so I don't wreck what I've done already.  Eventually all hell breaks loose and I end up with files all over the place. lol..  I get myself in a right muddle.  :-[

SychO

RC2 is the package from here https://download.simplemachines.org/index.php

When you update directly from github, than you're no longer using RC2, you're using a ingoing development package that is still marked RC2 because that was the last released version.

If you're making your themes from installs that are up to date with github, that's fine, but if you plan to share these themes with people, than you should make your themes in installs that are actually on RC2.

Skhilled

Quote from: lurkalot on Aug 05, 2019, 12:33 PMSteve, when ever I try to do any edits to themes or mods it all starts off nicely, then I tend to make copies of stuff when I get to a certain point just so I don't wreck what I've done already.  Eventually all hell breaks loose and I end up with files all over the place. lol..  I get myself in a right muddle.  :-[

Yup! That's me, too. LOL

Quote from: SychO on Aug 06, 2019, 07:43 AMRC2 is the package from here https://download.simplemachines.org/index.php

When you update directly from github, than you're no longer using RC2, you're using a ingoing development package that is still marked RC2 because that was the last released version.

If you're making your themes from installs that are up to date with github, that's fine, but if you plan to share these themes with people, than you should make your themes in installs that are actually on RC2.

Ok, thanks for the tip!  :rgton I may have to start over then cause I may have also (possibly) copied code from RC1 by mistake. I'll just go with the RC's from SMF.